package com.supwisdom.dlpay.framework.dao;

import com.supwisdom.dlpay.framework.domain.TPermission;
import org.springframework.data.jpa.repository.JpaRepository;

import java.util.List;

public interface PermissionDao extends JpaRepository<TPermission, String> {
    List<TPermission> findByRoleFuncId(String roleFuncId);

    TPermission findByRoleFuncIdAndResid(String roleFuncId, Integer resid);

    void deleteByRoleFuncId(String roleFuncId);

    void deleteByRoleId(String roleId);
}
